Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.javascript
Class NativeObject

    java.lang.Object
      org.mozilla.javascript.ScriptableObject
          org.mozilla.javascript.IdScriptableObject
              org.mozilla.javascript.NativeObject

All Implemented Interfaces:
  java.io.Serializable, java.util.Map, ConstProperties, DebuggableObject, IdFunctionCall, Scriptable

    public class NativeObject

extends IdScriptableObject
implements java.util.Map

This class implements the Object native object. See ECMA 15.2.

Author:
  Norris Boyd
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary

Fields inherited from class org.mozilla.javascript.ScriptableObject
`CONST, DONTENUM, EMPTY, PERMANENT, READONLY, UNINITIALIZED_CONST`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`NativeObject()`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsValue(java.lang.Object value)`
`java.util.Set<java.util.Map.Entry<java.lang.Object,java.lang.Object>>` | `entrySet()`
`java.lang.Object` | `execIdCall(IdFunctionObject f, Context cx, Scriptable scope, Scriptable thisObj, java.lang.Object[] args)` 'thisObj' will be null if invoked as constructor, in which case instance of Scriptable should be returned.
`protected void` | `fillConstructorProperties(IdFunctionObject ctor)`
`protected int` | `findPrototypeId(java.lang.String s)`
`java.lang.String` | `getClassName()` Return the name of the class.
`protected void` | `initPrototypeId(int id)`
`java.util.Set<java.lang.Object>` | `keySet()`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`void` | `putAll(java.util.Map m)`
`java.lang.Object` | `remove(java.lang.Object key)`
`java.lang.String` | `toString()`
`java.util.Collection<java.lang.Object>` | `values()`

Methods inherited from class org.mozilla.javascript.IdScriptableObject
`activatePrototypeMap, addIdFunctionProperty, defaultGet, defaultPut, defineOwnProperty, delete, exportAsJSClass, findInstanceIdInfo, get, getAttributes, getInstanceIdName, getInstanceIdValue, getMaxInstanceId, getOwnPropertyDescriptor, has, hasPrototypeMap, incompatibleCallError, initPrototypeConstructor, initPrototypeMethod, initPrototypeValue, instanceIdInfo, put, setAttributes, setInstanceIdValue`

Methods inherited from class org.mozilla.javascript.ScriptableObject
`applyDescriptorToAttributeBitset, associateValue, avoidObjectDetection, buildDataDescriptor, callMethod, callMethod, defineClass, defineClass, defineClass, defineConst, defineConstProperty, defineFunctionProperties, defineOwnProperties, defineProperty, defineProperty, defineProperty, defineProperty, delete, deleteProperty, deleteProperty, ensureScriptable, ensureScriptableObject, equivalentValues, get, get, getAllIds, getArrayPrototype, getAssociatedValue, getAttributes, getAttributes, getAttributes, getClassPrototype, getDefaultValue, getDefaultValue, getFunctionPrototype, getGetterOrSetter, getIds, getObjectPrototype, getParentScope, getProperty, getProperty, getPropertyIds, getPrototype, getSlot, getTopLevelScope, getTopScopeValue, getTypedProperty, getTypedProperty, getTypeOf, has, hasInstance, hasProperty, hasProperty, isAccessorDescriptor, isConst, isDataDescriptor, isEmpty, isExtensible, isFalse, isGenericDescriptor, isGetterOrSetter, isSealed, isTrue, preventExtensions, put, putConst, putConstProperty, putProperty, putProperty, redefineProperty, sealObject, setAttributes, setAttributes, setAttributes, setGetterOrSetter, setParentScope, setPrototype, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, get, hashCode, isEmpty, size`

Constructor Detail

### NativeObject

    public NativeObject()

Method Detail

### getClassName

    public java.lang.String getClassName()

  Description copied from class: `ScriptableObject`
  Return the name of the class. This is typically the same name as the constructor. Classes extending ScriptableObject must implement this abstract method.

  Specified by:
    `getClassName` in interface `Scriptable`
  Specified by:
    `getClassName` in class `ScriptableObject`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### fillConstructorProperties

    protected void fillConstructorProperties(IdFunctionObject ctor)

  Overrides:
    `fillConstructorProperties` in class `IdScriptableObject`

### initPrototypeId

    protected void initPrototypeId(int id)

  Overrides:
    `initPrototypeId` in class `IdScriptableObject`

### execIdCall

    public java.lang.Object execIdCall(IdFunctionObject f,
                                       Context cx,
                                       Scriptable scope,
                                       Scriptable thisObj,
                                       java.lang.Object[] args)

  Description copied from class: `IdScriptableObject`
  'thisObj' will be null if invoked as constructor, in which case instance of Scriptable should be returned.

  Specified by:
    `execIdCall` in interface `IdFunctionCall`
  Overrides:
    `execIdCall` in class `IdScriptableObject`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map`

### remove

    public java.lang.Object remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map`

### keySet

    public java.util.Set<java.lang.Object> keySet()

  Specified by:
    `keySet` in interface `java.util.Map`

### values

    public java.util.Collection<java.lang.Object> values()

  Specified by:
    `values` in interface `java.util.Map`

### entrySet

    public java.util.Set<java.util.Map.Entry<java.lang.Object,java.lang.Object>> entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map`

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map`

### putAll

    public void putAll(java.util.Map m)

  Specified by:
    `putAll` in interface `java.util.Map`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map`

### findPrototypeId

    protected int findPrototypeId(java.lang.String s)

  Overrides:
    `findPrototypeId` in class `IdScriptableObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD